#!/bin/sh

cmd="$HOME/scripts/blinddate/target/release/blinddate"

prompt="Tag"

today="heute"
tomorrow="morgen"
yesterday="gestern"
daybeforeyesterday="vorgestern"
dayaftertomorrow="übermorgen"
nextmonday="nächsten Montag"
nexttuesday="nächsten Dienstag"
nextwednesday="nächsten Mittwoch"
nextthursday="nächsten Donnerstag"
nextfriday="nächsten Freitag"
nextsaturday="nächsten Samstag"
nextsunday="nächsten Sonntag"
lastmonday="letzten Montag"
lasttuesday="letzten Dienstag"
lastwednesday="letzten Mittwoch"
lastthursday="letzten Donnerstag"
lastfriday="letzten Freitag"
lastsaturday="letzten Samstag"
lastsunday="letzten Sonntag"

day=$(echo "$today
$tomorrow
$yesterday
$daybeforeyesterday
$dayaftertomorrow
$nextmonday
$nexttuesday
$nextwednesday
$nextthursday
$nextfriday
$nextsaturday
$nextsunday
$lastmonday
$lasttuesday
$lastwednesday
$lastthursday
$lastfriday
$lastsaturday
$lastsunday" | rofi -dmenu -i -p "$prompt")

case $day in
    "$today")              "$cmd" today;;
    "$tomorrow")           "$cmd" tomorrow;;
    "$yesterday")          "$cmd" yesterday;;
    "$daybeforeyesterday") "$cmd" daybeforeyesterday;;
    "$dayaftertomorrow")   "$cmd" dayaftertomorrow;;
    "$nextmonday")         "$cmd" nextmonday;;
    "$nexttuesday")        "$cmd" nexttuesday;;
    "$nextwednesday")      "$cmd" nextwednesday;;
    "$nextthursday")       "$cmd" nextthursday;;
    "$nextfriday")         "$cmd" nextfriday;;
    "$nextsaturday")       "$cmd" nextsaturday;;
    "$nextsunday")         "$cmd" nextsunday;;
    "$lastmonday")         "$cmd" lastmonday;;
    "$lasttuesday")        "$cmd" lasttuesday;;
    "$lastwednesday")      "$cmd" lastwednesday;;
    "$lastthursday")       "$cmd" lastthursday;;
    "$lastfriday")         "$cmd" lastfriday;;
    "$lastsaturday")       "$cmd" lastsaturday;;
    "$lastsunday")         "$cmd" lastsunday;;
esac
